Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4ProtonCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4ProtonCoulombBarrier.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4ProtonCoulombBarrier.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ProtonCoulombBarrier.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4ProtonCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -40,6 +40,6 @@
 {
 public:
-	G4ProtonCoulombBarrier() : G4CoulombBarrier(1,1) {};
-	~G4ProtonCoulombBarrier() {};
+	G4ProtonCoulombBarrier() : G4CoulombBarrier(1,1) {}
+	~G4ProtonCoulombBarrier() {}
 
 private:
@@ -52,6 +52,5 @@
 private:
 
-	virtual G4double BarrierPenetrationFactor(const G4double aZ) const;
-
+	G4double BarrierPenetrationFactor(const G4double aZ) const;
 
 };
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4ShellCorrection.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4ShellCorrection.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4ShellCorrection.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ShellCorrection.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4ShellCorrection.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -51,5 +51,5 @@
 public:
   static G4ShellCorrection* GetInstance();
-  ~G4ShellCorrection() {};
+  ~G4ShellCorrection();
 
   G4double GetShellCorrection(const G4int A, const G4int Z) const 
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4TritonCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4TritonCoulombBarrier.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4TritonCoulombBarrier.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4TritonCoulombBarrier.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4TritonCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -40,6 +40,6 @@
 {
 public:
-    G4TritonCoulombBarrier() : G4CoulombBarrier(3,1) {};
-    ~G4TritonCoulombBarrier() {};
+    G4TritonCoulombBarrier() : G4CoulombBarrier(3,1) {}
+    ~G4TritonCoulombBarrier() {}
 
 private:
@@ -52,6 +52,5 @@
 private:
 
-    virtual G4double BarrierPenetrationFactor(const G4double aZ) const;
-
+    G4double BarrierPenetrationFactor(const G4double aZ) const;
 
 };
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4VCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4VCoulombBarrier.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4VCoulombBarrier.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VCoulombBarrier.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4VCoulombBarrier.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -41,8 +41,8 @@
 public:
   G4VCoulombBarrier(const G4int anA, const G4int aZ);
-  virtual ~G4VCoulombBarrier() {};
+  virtual ~G4VCoulombBarrier();
 
 protected:
-  G4VCoulombBarrier() : theA(1),theZ(0) {};
+  G4VCoulombBarrier();
 
 private:
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4VEmissionProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4VEmissionProbability.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4VEmissionProbability.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VEmissionProbability.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4VEmissionProbability.hh,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -47,6 +47,6 @@
 {
 public:
-  G4VEmissionProbability() {};
-  virtual ~G4VEmissionProbability() {};
+  G4VEmissionProbability();
+  virtual ~G4VEmissionProbability();
 
 private:  
Index: trunk/source/processes/hadronic/models/de_excitation/util/include/G4VLevelDensityParameter.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/include/G4VLevelDensityParameter.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/include/G4VLevelDensityParameter.hh	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VLevelDensityParameter.hh,v 1.5 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4VLevelDensityParameter.hh,v 1.6 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -44,6 +44,6 @@
 {
 public:
-  G4VLevelDensityParameter() {};
-  virtual ~G4VLevelDensityParameter() {};
+  G4VLevelDensityParameter();
+  virtual ~G4VLevelDensityParameter();
 
 private:  
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertPairingCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertPairingCorrections.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertPairingCorrections.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CameronGilbertPairingCorrections.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CameronGilbertPairingCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -74,4 +74,6 @@
 {;}
 
+G4CameronGilbertPairingCorrections::~G4CameronGilbertPairingCorrections()
+{ delete theInstance; }
 
 G4CameronGilbertPairingCorrections* G4CameronGilbertPairingCorrections::GetInstance()
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertShellCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertShellCorrections.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronGilbertShellCorrections.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CameronGilbertShellCorrections.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CameronGilbertShellCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -74,4 +74,7 @@
 {;}
 
+G4CameronGilbertShellCorrections::~G4CameronGilbertShellCorrections()
+{ delete theInstance; }
+
 G4CameronGilbertShellCorrections* G4CameronGilbertShellCorrections::GetInstance()
 {
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronShellPlusPairingCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronShellPlusPairingCorrections.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronShellPlusPairingCorrections.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CameronShellPlusPairingCorrections.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CameronShellPlusPairingCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -92,4 +92,7 @@
 {;}
 
+G4CameronShellPlusPairingCorrections::~G4CameronShellPlusPairingCorrections()
+{ delete theInstance; }
+
 G4CameronShellPlusPairingCorrections* G4CameronShellPlusPairingCorrections::GetInstance() {
   if (!theInstance) theInstance = new G4CameronShellPlusPairingCorrections();
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronTruranHilfPairingCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronTruranHilfPairingCorrections.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronTruranHilfPairingCorrections.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CameronTruranHilfPairingCorrections.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CameronTruranHilfPairingCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -79,4 +79,7 @@
 {;}
 
+G4CameronTruranHilfPairingCorrections::~G4CameronTruranHilfPairingCorrections()
+{ delete theInstance; }
+
 G4CameronTruranHilfPairingCorrections* G4CameronTruranHilfPairingCorrections::GetInstance() {
   if (!theInstance) theInstance = new G4CameronTruranHilfPairingCorrections();
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronTruranHilfShellCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronTruranHilfShellCorrections.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CameronTruranHilfShellCorrections.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CameronTruranHilfShellCorrections.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CameronTruranHilfShellCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -81,4 +81,7 @@
 {;}
 
+G4CameronTruranHilfShellCorrections::~G4CameronTruranHilfShellCorrections()
+{ delete theInstance; }
+
 G4CameronTruranHilfShellCorrections* G4CameronTruranHilfShellCorrections::GetInstance() {
   if (!theInstance) theInstance = new G4CameronTruranHilfShellCorrections();
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4ConstantLevelDensityParameter.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4ConstantLevelDensityParameter.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4ConstantLevelDensityParameter.cc	(revision 1055)
@@ -42,4 +42,7 @@
 }
 
+G4ConstantLevelDensityParameter::~G4ConstantLevelDensityParameter()
+{
+}
 
 const G4ConstantLevelDensityParameter & G4ConstantLevelDensityParameter::
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CookPairingCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CookPairingCorrections.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CookPairingCorrections.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CookPairingCorrections.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CookPairingCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -73,4 +73,7 @@
 {;}
 
+G4CookPairingCorrections::~G4CookPairingCorrections()
+{ delete theInstance; }
+
 G4CookPairingCorrections* G4CookPairingCorrections::GetInstance() {
   if (!theInstance) theInstance = new  G4CookPairingCorrections();
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CookShellCorrections.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CookShellCorrections.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CookShellCorrections.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CookShellCorrections.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CookShellCorrections.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -73,4 +73,6 @@
 {;}
 
+G4CookShellCorrections::~G4CookShellCorrections()
+{ delete theInstance; }
 
 G4CookShellCorrections* G4CookShellCorrections::GetInstance() {
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4CoulombBarrier.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4CoulombBarrier.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4CoulombBarrier.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CoulombBarrier.cc,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CoulombBarrier.cc,v 1.9 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -35,4 +35,12 @@
 #include "G4HadronicException.hh"
 #include <sstream>
+
+G4CoulombBarrier::G4CoulombBarrier()
+  : G4VCoulombBarrier(1,0) {}
+
+G4CoulombBarrier::G4CoulombBarrier(const G4int anA,const G4int aZ)
+  : G4VCoulombBarrier(anA,aZ) {}
+
+G4CoulombBarrier::~G4CoulombBarrier() {}
 
 G4CoulombBarrier::G4CoulombBarrier(const G4CoulombBarrier & ) : G4VCoulombBarrier()
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4EvaporationLevelDensityParameter.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4EvaporationLevelDensityParameter.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4EvaporationLevelDensityParameter.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EvaporationLevelDensityParameter.cc,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4EvaporationLevelDensityParameter.cc,v 1.9 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -49,4 +49,6 @@
 const G4double G4EvaporationLevelDensityParameter::Bs = 1.0;
 
+G4EvaporationLevelDensityParameter::G4EvaporationLevelDensityParameter() {}
+G4EvaporationLevelDensityParameter::~G4EvaporationLevelDensityParameter() {}
 
 G4EvaporationLevelDensityParameter::
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4PairingCorrection.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4PairingCorrection.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4PairingCorrection.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PairingCorrection.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PairingCorrection.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -44,4 +44,7 @@
 }
 
+G4PairingCorrection::~G4PairingCorrection()
+{ delete theInstance; }
+
 G4PairingCorrection* G4PairingCorrection::GetInstance()
 {
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4ShellCorrection.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4ShellCorrection.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4ShellCorrection.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ShellCorrection.cc,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4ShellCorrection.cc,v 1.5 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -44,4 +44,8 @@
 }
 
+G4ShellCorrection::~G4ShellCorrection()
+{
+  delete theInstance;
+}
 
 G4ShellCorrection* G4ShellCorrection::GetInstance()
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4VCoulombBarrier.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4VCoulombBarrier.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4VCoulombBarrier.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VCoulombBarrier.cc,v 1.6 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4VCoulombBarrier.cc,v 1.7 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -35,4 +35,10 @@
 #include "G4HadronicException.hh"
 #include <sstream>
+
+G4VCoulombBarrier::G4VCoulombBarrier()
+  : theA(1),theZ(0)
+{
+}
+
 
 G4VCoulombBarrier::G4VCoulombBarrier(const G4int anA, const G4int aZ)
@@ -49,4 +55,9 @@
 	throw G4HadronicException(__FILE__, __LINE__, errOs.str());
     }
+}
+
+
+G4VCoulombBarrier::~G4VCoulombBarrier()
+{
 }
 
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4VEmissionProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4VEmissionProbability.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4VEmissionProbability.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VEmissionProbability.cc,v 1.6 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4VEmissionProbability.cc,v 1.7 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -36,10 +36,13 @@
 #include "G4HadronicException.hh"
 
+
+G4VEmissionProbability::G4VEmissionProbability() {}
+G4VEmissionProbability::~G4VEmissionProbability() {}
+
+
 G4VEmissionProbability::G4VEmissionProbability(const G4VEmissionProbability &)
 {
     throw G4HadronicException(__FILE__, __LINE__, "G4VEmissionProbability::copy_constructor meant to not be accessable");
 }
-
-
 
 
Index: trunk/source/processes/hadronic/models/de_excitation/util/src/G4VLevelDensityParameter.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/util/src/G4VLevelDensityParameter.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/util/src/G4VLevelDensityParameter.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VLevelDensityParameter.cc,v 1.5 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4VLevelDensityParameter.cc,v 1.6 2009/03/04 11:05:02 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -36,4 +36,8 @@
 
 
+G4VLevelDensityParameter::G4VLevelDensityParameter() {}
+G4VLevelDensityParameter::~G4VLevelDensityParameter() {}
+
+
 G4VLevelDensityParameter::
 G4VLevelDensityParameter(const G4VLevelDensityParameter &)
@@ -41,6 +45,4 @@
     throw G4HadronicException(__FILE__, __LINE__, "G4VLevelDensityParameter::copy_constructor meant to not be accessable");
 }
-
-
 
 
Index: trunk/source/processes/hadronic/models/management/History
===================================================================
--- trunk/source/processes/hadronic/models/management/History	(revision 1007)
+++ trunk/source/processes/hadronic/models/management/History	(revision 1055)
@@ -15,8 +15,25 @@
      ---------------------------------------------------------------
 
+25 February 2009 - V.Ivanchenko (hadr-modman-V09-02-03)
+------------------------------------------------------
+-  G4HadronicInteractionRegistry - added protection to the Clean method
+
+14 February 2009 - V.Ivanchenko (hadr-modman-V09-02-02)
+------------------------------------------------------
+-  G4HadronicInteractionRegistry - added Clean method
+
+06 February 2009 - V.Ivanchenko (hadr-modman-V09-02-01)
+------------------------------------------------------
+
+23 January 2009 - V.Ivanchenko (hadr-modman-V09-02-00)
+------------------------------------------------------
+-  G4HadronicInteractionRegistry - make it as real singleton
+-  G4HadronicInteraction, G4InelasticInteraction - move constructor, 
+       destructor and some header files from header to source
+
 19 June 2008 - G.Cosmo  (hadr-modman-V09-01-03)
 -----------------------------------------------
 -  included change introduced in hadr-modman-V09-01-01 and
-   discarded by imstake in the last tag ...
+   discarded by mistake in the last tag ...
 
 19 June 2008 - V.Ivanchenko (hadr-modman-V09-01-02)
